Subject: bug#36377: perl-mode: shouln't indent even within embedded here-docs

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Tue, 25 Jun 2019 22:21:57 +0800

Here typing "aaa<RET>" works properly for the first aaa. But on the
second, it wrongly tries to indent within the here-doc. emacs-version "26.1"

$a = <<EOF;
aaa
EOF

%fields = (
    zzz => <<EOF
aaa
EOF
);